Thread: ettercap
View Single Post
Cpt. Morgan

 
Member Since: Jan 19, 2008
Posts: 43
Cpt. Morgan is on a distinguished road
Mac Specs: 20", 2.4ghz iMac/4 gigs of ram + a 2.1ghz MacBook/160gb 7200 rpm Seagate HD/1 gig of ram

Cpt. Morgan is offline
Alright, well I've been trying to install ettercap (precisely 0.7.3) and haven't had much luck (I have yet to find a simple guide to installation). I've installed MacPorts (which I believe is all I need) but when I enter

sudo port -d update

I end up with this after much text in terminal.

while executing
"macports::selfupdate [array get global_options]"
Error: /opt/local/bin/port: selfupdate failed: Error installing new MacPorts base: shell command "cd /opt/local/var/macports/sources/rsync.macports.org/release/base && ./configure --prefix=/opt/local --with-install-user=root --with-install-group=admin --with-tclpackage=/Library/Tcl && make && make install" returned error 1
Command output: checking build system type... i686-apple-darwin9.2.2
checking host system type... i686-apple-darwin9.2.2
checking target system type... i686-apple-darwin9.2.2
checking for sw_vers... sw_vers
checking Mac OS X version... 10.5.2
checking MacPorts version... 1.6.0
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

Any help here. I'd like to get ettercap up in running, because KisMac is a failure if you lack the proper hardware, and ettercap is the only other program I know that is useful for sniffing etc. I'd rather not use Cain and Able.

Thank you for you time.
Cpt. Morgan
QUOTE Thanks